PMC.SOFT(3)

NAME
pmc.soft - measurements using software based events

LIBRARY
libpmc

SYNOPSIS
#include <pmc.h>

DESCRIPTION
Software events are used to collect various source of software events.

  PMC Features
16 sampling counters using software events based on various sources. These PMCs support the following capabilities:
Capability | Support
PMC_CAP_CASCADE |
PMC_CAP_EDGE |
PMC_CAP_INTERRUPT | Yes
PMC_CAP_INVERT |
PMC_CAP_READ | Yes
PMC_CAP_PRECISE |
PMC_CAP_SYSTEM | Yes
PMC_CAP_TAGGING |
PMC_CAP_THRESHOLD |
PMC_CAP_USER | Yes
PMC_CAP_WRITE | Yes

  Event Qualifiers
There is no supported event qualifier.

The event specifiers supported by software are:

CLOCK.HARD
    Hard clock ticks.

CLOCK.STAT
    Stat clock ticks.

CLOCK.PROF
    Profiling clock ticks.

INTR.ALL
    Interrupt filter executed

INTR.FILTER
    Interrupt filter returned FILTER_HANDLED.

INTR.ITHREAD
    Interrupt filter returned FILTER_SCHEDULE_ITHREAD.

INTR.SCHEDULE
    Ithread scheduled.

INTR.STRAY
    Interrupt filter returned FILTER_STRAY.

INTR.WAITING
    Ithread not scheduled, already active.

LOCK.FAILED
    Lock acquisition failed.

PAGE_FAULT.ALL
    All page fault type.

PAGE_FAULT.READ
    Read page fault.

PAGE_FAULT.WRITE
    Write page fault.

SEE ALSO
pmc(3), pmc.atom(3), pmc.core(3), pmc.corei7(3), pmc.corei7uc(3), pmc.iaf(3), pmc.k7(3), pmc.k8(3), pmc.tsc(3), pmc.ucf(3), pmc.westmereuc(3), pmc_cpuinfo(3), pmclog(3), hwpmc(4)

HISTORY
The pmc library first appeared in FreeBSD 6.0.

AUTHORS
-nosplit The libpmc library was written by Joseph Koshy <jkoshy@FreeBSD.org>. Software PMC was written by Fabien Thomas <fabient@FreeBSD.org>.